123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348 |
- --- Python-3.1.1.orig/configure 2009-06-08 23:22:57.000000000 +0200
- +++ Python-3.1.1/configure 2010-11-07 20:52:09.000000000 +0100
- @@ -2051,12 +2051,12 @@ fi
- echo $ECHO_N "checking MACHDEP... $ECHO_C" >&6; }
- if test -z "$MACHDEP"
- then
- - ac_sys_system=`uname -s`
- + ac_sys_system=Linux
- if test "$ac_sys_system" = "AIX" -o "$ac_sys_system" = "Monterey64" \
- -o "$ac_sys_system" = "UnixWare" -o "$ac_sys_system" = "OpenUNIX"; then
- ac_sys_release=`uname -v`
- else
- - ac_sys_release=`uname -r`
- + ac_sys_release=2.6
- fi
- ac_md_system=`echo $ac_sys_system |
- tr -d '/ ' | tr '[A-Z]' '[a-z]'`
- @@ -2224,7 +2224,7 @@ EXPORT_MACOSX_DEPLOYMENT_TARGET='#'
-
- { echo "$as_me:$LINENO: checking machine type as reported by uname -m" >&5
- echo $ECHO_N "checking machine type as reported by uname -m... $ECHO_C" >&6; }
- -ac_sys_machine=`uname -m`
- +ac_sys_machine=@@CPU_ARCH@@
- { echo "$as_me:$LINENO: result: $ac_sys_machine" >&5
- echo "${ECHO_T}$ac_sys_machine" >&6; }
-
- @@ -17204,141 +17204,6 @@ fi
- fi
-
-
- -# On Tru64, chflags seems to be present, but calling it will
- -# exit Python
- -{ echo "$as_me:$LINENO: checking for chflags" >&5
- -echo $ECHO_N "checking for chflags... $ECHO_C" >&6; }
- -if test "$cross_compiling" = yes; then
- - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
- -See \`config.log' for more details." >&5
- -echo "$as_me: error: cannot run test program while cross compiling
- -See \`config.log' for more details." >&2;}
- - { (exit 1); exit 1; }; }
- -else
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -
- -#include <sys/stat.h>
- -#include <unistd.h>
- -int main(int argc, char*argv[])
- -{
- - if(chflags(argv[0], 0) != 0)
- - return 1;
- - return 0;
- -}
- -
- -_ACEOF
- -rm -f conftest$ac_exeext
- -if { (ac_try="$ac_link"
- -case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_link") 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- - { (case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_try") 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; }; then
- -
- -cat >>confdefs.h <<\_ACEOF
- -#define HAVE_CHFLAGS 1
- -_ACEOF
- -
- - { echo "$as_me:$LINENO: result: yes" >&5
- -echo "${ECHO_T}yes" >&6; }
- -else
- - echo "$as_me: program exited with status $ac_status" >&5
- -echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- -( exit $ac_status )
- -{ echo "$as_me:$LINENO: result: no" >&5
- -echo "${ECHO_T}no" >&6; }
- -
- -fi
- -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- -fi
- -
- -
- -
- -{ echo "$as_me:$LINENO: checking for lchflags" >&5
- -echo $ECHO_N "checking for lchflags... $ECHO_C" >&6; }
- -if test "$cross_compiling" = yes; then
- - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
- -See \`config.log' for more details." >&5
- -echo "$as_me: error: cannot run test program while cross compiling
- -See \`config.log' for more details." >&2;}
- - { (exit 1); exit 1; }; }
- -else
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -
- -#include <sys/stat.h>
- -#include <unistd.h>
- -int main(int argc, char*argv[])
- -{
- - if(lchflags(argv[0], 0) != 0)
- - return 1;
- - return 0;
- -}
- -
- -_ACEOF
- -rm -f conftest$ac_exeext
- -if { (ac_try="$ac_link"
- -case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_link") 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- - { (case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_try") 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; }; then
- -
- -cat >>confdefs.h <<\_ACEOF
- -#define HAVE_LCHFLAGS 1
- -_ACEOF
- -
- - { echo "$as_me:$LINENO: result: yes" >&5
- -echo "${ECHO_T}yes" >&6; }
- -else
- - echo "$as_me: program exited with status $ac_status" >&5
- -echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- -( exit $ac_status )
- -{ echo "$as_me:$LINENO: result: no" >&5
- -echo "${ECHO_T}no" >&6; }
- -
- -fi
- -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- -fi
-
-
-
- @@ -22435,84 +22300,6 @@ fi
-
- LIBS=$LIBS_SAVE
-
- -# Multiprocessing check for broken sem_getvalue
- -{ echo "$as_me:$LINENO: checking for broken sem_getvalue" >&5
- -echo $ECHO_N "checking for broken sem_getvalue... $ECHO_C" >&6; }
- -if test "$cross_compiling" = yes; then
- - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
- -See \`config.log' for more details." >&5
- -echo "$as_me: error: cannot run test program while cross compiling
- -See \`config.log' for more details." >&2;}
- - { (exit 1); exit 1; }; }
- -else
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -
- -#include <unistd.h>
- -#include <fcntl.h>
- -#include <stdio.h>
- -#include <semaphore.h>
- -#include <sys/stat.h>
- -
- -int main(void){
- - sem_t *a = sem_open("/autoconf", O_CREAT, S_IRUSR|S_IWUSR, 0);
- - int count;
- - int res;
- - if(a==SEM_FAILED){
- - perror("sem_open");
- - return 1;
- -
- - }
- - res = sem_getvalue(a, &count);
- - sem_close(a);
- - return res==-1 ? 1 : 0;
- -}
- -
- -
- -_ACEOF
- -rm -f conftest$ac_exeext
- -if { (ac_try="$ac_link"
- -case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_link") 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- - { (case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_try") 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; }; then
- - { echo "$as_me:$LINENO: result: no" >&5
- -echo "${ECHO_T}no" >&6; }
- -else
- - echo "$as_me: program exited with status $ac_status" >&5
- -echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- -( exit $ac_status )
- -{ echo "$as_me:$LINENO: result: yes" >&5
- -echo "${ECHO_T}yes" >&6; }
- -
- -cat >>confdefs.h <<\_ACEOF
- -#define HAVE_BROKEN_SEM_GETVALUE 1
- -_ACEOF
- -
- -
- -fi
- -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- -fi
-
-
-
- @@ -25145,94 +24932,6 @@ else
- echo "${ECHO_T}no" >&6; }
- fi
-
- -{ echo "$as_me:$LINENO: checking for %zd printf() format support" >&5
- -echo $ECHO_N "checking for %zd printf() format support... $ECHO_C" >&6; }
- -if test "$cross_compiling" = yes; then
- - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
- -See \`config.log' for more details." >&5
- -echo "$as_me: error: cannot run test program while cross compiling
- -See \`config.log' for more details." >&2;}
- - { (exit 1); exit 1; }; }
- -else
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -#include <stdio.h>
- -#include <stddef.h>
- -#include <string.h>
- -
- -#ifdef HAVE_SYS_TYPES_H
- -#include <sys/types.h>
- -#endif
- -
- -#ifdef HAVE_SSIZE_T
- -typedef ssize_t Py_ssize_t;
- -#elif SIZEOF_VOID_P == SIZEOF_LONG
- -typedef long Py_ssize_t;
- -#else
- -typedef int Py_ssize_t;
- -#endif
- -
- -int main()
- -{
- - char buffer[256];
- -
- - if(sprintf(buffer, "%zd", (size_t)123) < 0)
- - return 1;
- -
- - if (strcmp(buffer, "123"))
- - return 1;
- -
- - if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
- - return 1;
- -
- - if (strcmp(buffer, "-123"))
- - return 1;
- -
- - return 0;
- -}
- -_ACEOF
- -rm -f conftest$ac_exeext
- -if { (ac_try="$ac_link"
- -case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_link") 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- - { (case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_try") 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; }; then
- - { echo "$as_me:$LINENO: result: yes" >&5
- -echo "${ECHO_T}yes" >&6; }
- -
- -cat >>confdefs.h <<\_ACEOF
- -#define PY_FORMAT_SIZE_T "z"
- -_ACEOF
- -
- -else
- - echo "$as_me: program exited with status $ac_status" >&5
- -echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- -( exit $ac_status )
- -{ echo "$as_me:$LINENO: result: no" >&5
- -echo "${ECHO_T}no" >&6; }
- -fi
- -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- -fi
-
-
-
|